> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置手机号



## OpenAPI

````yaml cn post /card/setPhoneNumber
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/setPhoneNumber:
    post:
      tags: []
      summary: 设置手机号
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPhoneNumberReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultVoid'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data: null
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    SetPhoneNumberReqVO:
      type: object
      properties:
        powerCardId:
          type: string
          description: powerCardId
        areaNo:
          type: string
          description: 区号
        mobile:
          type: string
          description: 手机号
      required:
        - powerCardId
        - areaNo
        - mobile
    CommonResultVoid:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          description: 结果数据
          type: 'null'

````